%global realname erlsyslog
%global debug_package %{nil}

Name:		erlang-%{realname}
Version:	0.4
Release:	1%{?dist}
Summary:	Syslog facility for Erlang
Group:		Development/Libraries
License:	MIT
URL:		https://github.com/lemenkov/erlsyslog
# wget --content-disposition https://github.com/lemenkov/erlsyslog/archive/0.4.tar.gz
Source0:	%{realname}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
Requires:	erlang-erts%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
Syslog facility for Erlang.


%prep
%setup -q -n %{realname}-%{version}


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include}
install -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/%{realname}.hrl  $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc example
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/%{realname}.hrl


%changelog
* Fri Dec 21 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.4-1
- Ver. 0.4

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2-1
- Ver. 0.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-5
- Narrowed BuildRequires

* Sun Jul 11 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-4
- Rebuild for Erlang/OTP R14A
- Simplified soec-file a bit

* Fri May 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-3
- Narrowed explicit requires

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun  4 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.1-1
- Ver. 0.1

* Mon May  4 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.1-0.3.svn10
- Get rid of unnecessary source files

* Fri Feb 20 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.1-0.2.svn10
- New snapshot

* Thu Dec 18 2008 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.svn8
- Initial package

